org.apache.xmlbeans

## Interface InterfaceExtension.MethodSignature

- Enclosing interface:
    InterfaceExtension

      public static interface InterfaceExtension.MethodSignature

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getExceptionTypes()` Returns the fully qualified type name of the exception types.
    `String` | `getName()` Returns the name of the method.
    `String[]` | `getParameterTypes()` Returns the fully qualified type name of the parameter types in order.
    `String` | `getReturnType()` Returns the fully qualified type name of the return value or 'void' for no return value.

- - ### Method Detail

    - #### getName

          String getName()

      Returns the name of the method.

    - #### getReturnType

          String getReturnType()

      Returns the fully qualified type name of the return value or 'void' for no return value.

    - #### getParameterTypes

          String[] getParameterTypes()

      Returns the fully qualified type name of the parameter types in order.

    - #### getExceptionTypes

          String[] getExceptionTypes()

      Returns the fully qualified type name of the exception types.